#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from Commands.PythonCommandBase import PythonCommand, ImageProcPythonCommand
from Commands.Keys import KeyPress, Button, Direction, Stick, Hat

class check(ImageProcPythonCommand):
    NAME = 'Check_2_画像認識'

    def __init__(self,cam):
        super().__init__(cam)

    def do(self):
        if self.isContainTemplate('box_TeraMark.png',threshold=0.8, use_gray=False, show_value=True):
            #----.png -> 判定したいファイル名を入れる
            #threshold=0.8 ->0.8以上の時True
            #use_gray=True ->白黒画像で判定 / use_gray=False ->カラーで判定
            #show_value=True ->判定時の数値を表示する / show_value=True ->判定時の数値を表示しない
            print("画像が一致しました")
        else:
            print("画像が一致しませんでした")
        print("Check_END")
